Subject: bug#12442: 24.2.50; gtk toolkit with split-window-right

From: Jan Djärv <[email-masked]>
Date: Sat, 22 Sep 2012 19:12:01 +0200

Hello.

2012-09-14 15:47, Sam Steingold skrev:
> In GNU Emacs 24.2.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
>   of 2012-09-14 on t520sds
> Bzr revision: 110026 [email-masked]
> Windowing system distributor `The X.Org Foundation', version 11.0.11103000
> Configured using:
>   `configure '--with-wide-int''

If you already are on a 64-bit OS, --with-wide-int does not change anything.
Both long long and long are 64 bit.

>
> Today I rebuilt emacs and it chose gtk instead of athena for the
> toolkit.
> I run emacs in a full screen mode with a side-by-side
> (split-window-right) windows, and the first things I see are:
>
> 1. the right window (or, rather, all windows except for the left-most
> one) do not have left fringe.
>
> 2. also, those fringe-less windows do not display the first character in
> each line properly: it looks like the first pixel column is missing (it
> comes back when the cursor moves over it, but then it goes away again)

I can not reproduce this.  Do you mean maximized or fullscreen?  I assumed you 
verified this with -Q.  Does the fringes behave normally when Emacs is not 
maximized/fullscreen?  Does it make any difference if you turn the scrollbars 
on/off?

	Jan D.